Чи буде працювати Typo3 на вашому сервері
RUUA
Головна » CMS TYPO3 » Системні вимоги

Системні вимоги до Typo3

TYPO3 - це веб-додаток, написаний на мові PHP, який встановлюється на сервер. Безпосередньо робота з ним проводиться через веб-браузер - Internet Explorer або Mozilla. Для успішної роботи потрібно, щоб і сервер, і клієнтська частина задовольняли деяким вимогам.

Вимоги до серверу:

  • Операційна система: Unix (Linux), Windows або Mac
  • Веб-сервер: Apache, IIS
  • Версія PHP: PHP4 (для TYPO3 4.1).
  • База даних: MySQL (версія 4.1.x).
  • GraphicsMagick або ImageMagick.
  • GDlib/Freetype (вбудований в PHP).
  • Використання функції exec має бути дозволено (необхідно для роботи ImageMagic).
  • Опція Safe mode має бути встановлена в "Off".
  • В MySQL не повинно бути обмежень на кількість запитів в годину.
  • Апаратні засоби: Нормальний веб-сервер може бути налаштований на системі з сучасним процесором й хоча б 256 MB оперативної пам'яті (за даними з офіційного сайту). Але, не дивлячись на це, рекомендується не меньше 1 Gb

Рекомендується (не обов'язково) для веб-сервера також встановити:

  • GraphicsMagick або ImageMagick (окремі додатки)
  • GDlib/Freetype (вбудований в PHP)
  • zlib (вбудований в PHP)
  • Apache с модулями mod_gzip/mod_rewrite
  • A PHP-cache (PHP-accelerator / Zend Accelerator, лише для UNIX)

Для роботи окремих розширень можуть знадобитися інші програмні продукти. Так, наприклад, для модуля статистики Awstats потрібне встановлення Perl.

Вимоги до клієнтського программного забезпечення:

Рекомендовані: браузер Mozilla Firefox для будь-якої операцфйної системи, Internet Explorer 5+ для Windows.

Зауваження щодо використання пам'яті:

Зараз в TYPO3 є частини, які вимагають більше 8 Мб пам`яті, що настроєні в php.ini по замовчуванню. В багатьох випадках це не є проблемою, оскільки у ролі обмеження використовуються не завжди (наприклад якщо воно не скомпільоване с PHP або якщо ви запускаєте PHP через CGI). В даному випадку краще ставити нижню межу для використанню пам`яті - 16 Мб.

Хоча, все-таки рекомендується використовувати мінімум 32 Мб і більше пам'яті (при 32 Мб не буде працювати менеджер розширень). Тому для стабільної й комфортної роботи потрібно задати PHP memory_limit рівним 48Мб.

Загалом, TYPO3 не призначена для lowend-систем, тому не намагайтеся запустити її на старому 486-му комп'ютері.